cls
@echo off
	@ECHO *********************************************************
	@ECHO  Batch file for JTAGICE calibration of ATmega16 through
	@ECHO  JTAG interface. 
	@ECHO  - The internal RC is calibrated to 1MHz.
	@ECHO  - Programming FLASH and Fuses is performed initially.
	@ECHO  - Com 1 port used for the JTAGICE
	@ECHO  
	@ECHO  Revision: $Revision: 3.4 $                            
	@ECHO  Last Change: $Date: Tuesday, February 17, 2004 09:54:12 UTC $
	@ECHO *********************************************************
	
	@ECHO ---------------------------------------------------------
	@ECHO.
	@ECHO   ** S T A R T   P R O G R A M M I N G **
	@ECHO.		

@ECHO ---------------------------------------------------------
"C:\Program Files\Atmel\AVR Tools\JTAGICE\JTAGICE.exe" -ccom1 -B115200 -R -datmega16 -f0x99C1 -e -pf -if"..\rc_calibration.hex"

@IF ERRORLEVEL ==1 GOTO prog_Calib_code_error
		
	@ECHO.
	@ECHO  ** Start Calibration

@ECHO ---------------------------------------------------------
"C:\Program Files\Atmel\AVR Tools\JTAGICE\JTAGICE.exe" -B115200 -ccom1 -Y

@IF ERRORLEVEL ==1 GOTO Calibration_error

@ECHO ---------------------------------------------------------
	@ECHO.
	@ECHO Verify that OSCCAL value is differs from 0xFF.
	@ECHO Note, this test is intended to fail. If it does
	@ECHO not fail, OSCCAL equals 0xFF which is considered 
	@ECHO an error.

"C:\Program Files\Atmel\AVR Tools\JTAGICE\JTAGICE.exe" -ccom1 -B115200 -R -ae0,0 -ve -ie0xFF_byte.hex

@IF ERRORLEVEL ==1 GOTO continue

@GOTO EEPROM_OSCCAL_value_error

:continue
		
@ECHO           ^^ Ignore Error above ^^
@ECHO.
@ECHO ---------------------------------------------------------
	@ECHO Read out new OSCCAL value from EEPROM and erase the device.
	@ECHO Program in customers code to FLASH, in this case test.hex.
	@ECHO Verify programming of customers code.
	@ECHO Program in new OSCCAL value in flash at byte addr 03FFF.
	@ECHO Verify programming of new OSCCAL value in Flash.
"C:\Program Files\Atmel\AVR Tools\JTAGICE\JTAGICE.exe" -ccom1 -B115200 -R -e -pf -vf -iftest.hex -Z0 -Sf0x3FFF

@IF ERRORLEVEL ==1 GOTO prog_customer_code_error

	@ECHO.
	@ECHO *********************************************************
	@ECHO 		P R O G R A M M I N G   O K
	@ECHO *********************************************************

@GOTO END

:prog_Calib_code_error
	@ECHO.
@ECHO ---------------------------------------------------------
	@ECHO.
	@ECHO 		E R R O R		
	@ECHO Programming calibration program to AVR failed.
	@ECHO Programming aborted.
	@PAUSE
	@GOTO END
@ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


:Calibration_error
	@ECHO.
@ECHO ---------------------------------------------------------
	@ECHO.
	@ECHO 		E R R O R
	@ECHO Calibration failed.
	@ECHO Programming aborted.
	@PAUSE
	@GOTO END
@ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

:EEPROM_OSCCAL_value_error
	@ECHO.
@ECHO ---------------------------------------------------------
	@ECHO.
	@ECHO 		E R R O R
	@ECHO EEPROM OSCCAL location contain an invalid value: 0xFF
	@ECHO Programming aborted.
	@PAUSE
	@GOTO END
@ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

:prog_customer_code_error
	@ECHO.
@ECHO ---------------------------------------------------------
	@ECHO.
	@ECHO 		E R R O R
	@ECHO Programming main application program or OSCCAL to AVR failed.
	@ECHO Programming aborted.
	@PAUSE
	@GOTO END
@ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

:END				
