;*****************************************************************
;* Description: Interface definition file for RC Calibration
;*
;* $Revision: 3.4 $	
;* $Author: tsundre $
;* $Date: 17. februar 2004 10:54:26 $
;*
;*****************************************************************
.EQU	JTAG_CALIB = 1

;*****************************************************************
;*	Specify Calibration clock frequency
;*****************************************************************
.EQU	CALIB_CLOCK_FREQ	= 32623	;Calibration Clock frequency in Hz - CHANGE WITH CARE

;*****************************************************************
;*	Pin and port definitions
;*****************************************************************
.EQU	MISO 		= JTAG_CAL_MISO
.EQU	MOSI		= JTAG_CAL_MOSI

.EQU	CAL_PORT	= JTAG_CAL_PORT_REG
.EQU	CAL_DDR		= JTAG_CAL_DDR_REG
.EQU	CAL_PIN		= JTAG_CAL_PIN_REG

;*****************************************************************
;*	Macro used to disable and enable JTAG functions as these 
;*	override IO functions. Macro contains nop if not using JTAG.
;*****************************************************************
.MACRO	OPEN_INTERFACE_ACCESS
	ldi	@0, 1<<JTD
	out	MCUCSR, @0
	out	MCUCSR, @0
.ENDMACRO

.MACRO	CLOSE_INTERFACE_ACCESS
	ldi	@0, ~(1<<JTD)
	out	MCUCSR, @0
	out	MCUCSR, @0
.ENDMACRO